Nuget

Push packages to this endpoint using NuGet.exe or compatible tools

PUT /api/{spaceId}/nuget/packages

Also reachable at /api/nuget/packages.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — PackageFromBuiltInFeedResource returned

  • Description string
  • FeedId string
  • FileExtension string
  • Hash string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NuGetFeedId string
  • NuGetPackageId string
  • PackageId string
  • PackageSizeBytes integer
  • PackageVersionBuildInformation object
    • Branch string
    • BuildEnvironment string
    • BuildNumber string
    • BuildUrl string
    • Commits array of object
    • Created string
      Format date-time.
    • Id string
      Gets or sets a unique identifier for this resource.
    • IncompleteDataWarning string
    • IssueTrackerName string
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • PackageId string
    • VcsCommitNumber string
    • VcsCommitUrl string
    • VcsRoot string
    • VcsType string
    • Version string
    • WorkItems array of object
  • Published string
    Format date-time.
  • ReleaseNotes string
  • Summary string
  • Title string
  • Version string

Example Response

JSON
{
  "Description": "string",
  "FeedId": "string",
  "FileExtension": "string",
  "Hash": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NuGetFeedId": "string",
  "NuGetPackageId": "string",
  "PackageId": "string",
  "PackageSizeBytes": 0,
  "PackageVersionBuildInformation": {
    "Branch": "string",
    "BuildEnvironment": "string",
    "BuildNumber": "string",
    "BuildUrl": "string",
    "Commits": [
      {
        "Comment": "string",
        "Id": "string",
        "LinkUrl": "string"
      }
    ],
    "Created": "2020-01-01T00:00:00.000Z",
    "Id": "string",
    "IncompleteDataWarning": "string",
    "IssueTrackerName": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "PackageId": "string",
    "VcsCommitNumber": "string",
    "VcsCommitUrl": "string",
    "VcsRoot": "string",
    "VcsType": "string",
    "Version": "string",
    "WorkItems": [
      {
        "Description": "string",
        "Id": "string",
        "LinkUrl": "string",
        "Source": "string"
      }
    ]
  },
  "Published": "2020-01-01T00:00:00.000Z",
  "ReleaseNotes": "string",
  "Summary": "string",
  "Title": "string",
  "Version": "string"
}